- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# MManipData Class Reference

# OpenMayaUI - API module for user interface

Search for all occurrences

## Detailed Description

Manipulator Data.

This class encapulates manipulator data which is returned from the manipulator conversion functions. MManipData is used to represent data that is either simple or complex. Simple data is used to represent bool, short, int, unsigned int, float, and double types. Complex data is used to represent MObjects created by MFnData, or classes derived from MFnData.

Examples:

  componentScaleManip.cpp, footPrintManip.cpp, rotateManip.cpp, surfaceBumpManip.cpp, and swissArmyManip.cpp.

`#include <MManipData.h>`

List of all members.

## Public Member Functions
| MManipData ()
| The default class constructor.
| ~MManipData ()
| The destructor.
| MManipData (const MManipData &)
| The copy constructor.
| MManipData (bool)
| Constructor for bool types.
| MManipData (short)
| Constructor for short types.
| MManipData (int)
| Constructor for int types.
| MManipData (unsigned int)
| Constructor for unsigned int types.
| MManipData (float)
| Constructor for float types.
| MManipData (double)
| Constructor for double types.
| MManipData (const MObject &)
| Constructor for MObject types created by MFnData, or classes derived from MFnData.
MManipData & | operator= (const MManipData &)
| The assignment operator.
MManipData & | operator= (bool)
| The assignment operator for bool types.
MManipData & | operator= (short)
| The assignment operator for short types.
MManipData & | operator= (int)
| The assignment operator for int types.
MManipData & | operator= (unsigned int)
| The assignment operator for unsigned int types.
MManipData & | operator= (float)
| The assignment operator for float types.
MManipData & | operator= (double)
| The assignment operator for double types.
MManipData & | operator= (const MObject &)
| The assignment operator for MObject types created by MFnData, or classes derived from MFnData.
bool | isSimple () const
| Returns whether or not the manipulator data is simple or complex.
bool | asBool () const
| Returns the manipulator data as a bool.
short | asShort () const
| Returns the manipulator data as a short.
int | asLong () const
| Returns the manipulator data as a int.
unsigned int | asUnsigned () const
| Returns the manipulator data as an unsigned int.
float | asFloat () const
| Returns the manipulator data as a float.
double | asDouble () const
| Returns the manipulator data as a double.
MObject | asMObject () const
| Returns the manipulator data as an MObject.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.

## Constructor & Destructor Documentation

MManipData | ( | const MManipData & | other | ) |

The copy constructor.

Parameters:

  [in] | other | Object to copy from.

MManipData | ( | bool | data | ) |

Constructor for bool types.

Parameters:

  [in] | data | Initial value.

MManipData | ( | short | data | ) |

Constructor for short types.

Parameters:

  [in] | data | Initial value.

MManipData | ( | int | data | ) |

Constructor for int types.

Parameters:

  [in] | data | Initial value.

MManipData | ( | unsigned int | data | ) |

Constructor for unsigned int types.

Parameters:

  [in] | data | Initial value.

MManipData | ( | float | data | ) |

Constructor for float types.

Parameters:

  [in] | data | Initial value.

MManipData | ( | double | data | ) |

Constructor for double types.

Parameters:

  [in] | data | Initial value.

MManipData | ( | const MObject & | data | ) |

Constructor for MObject types created by MFnData, or classes derived from MFnData.

Parameters:

  [in] | data | Initial value.

## Member Function Documentation

MManipData & operator= | ( | const MManipData & | other | ) |

The assignment operator.

Parameters:

  [in] | other | Object to copy from.

MManipData & operator= | ( | bool | data | ) |

The assignment operator for bool types.

Parameters:

  [in] | data | value to copy from.

MManipData & operator= | ( | short | data | ) |

The assignment operator for short types.

Parameters:

  [in] | data | value to copy from.

MManipData & operator= | ( | int | data | ) |

The assignment operator for int types.

Parameters:

  [in] | data | value to copy from.

MManipData & operator= | ( | unsigned int | data | ) |

The assignment operator for unsigned int types.

Parameters:

  [in] | data | value to copy from.

MManipData & operator= | ( | float | data | ) |

The assignment operator for float types.

Parameters:

  [in] | data | value to copy from.

MManipData & operator= | ( | double | data | ) |

The assignment operator for double types.

Parameters:

  [in] | data | value to copy from.

MManipData & operator= | ( | const MObject & | data | ) |

The assignment operator for MObject types created by MFnData, or classes derived from MFnData.

Parameters:

  [in] | data | value to copy from.

bool isSimple | ( |  | ) | const

Search for all occurrences

Returns whether or not the manipulator data is simple or complex.

Simple data is used to represent bool, short, int, unsigned int, float, and double types. Complex data is used to represent MObjects created by MFnData, or classes derived from MFnData.

Returns:
  Whether or not the manipulator data is simple or complex

bool asBool | ( |  | ) | const

Search for all occurrences

Returns the manipulator data as a bool.

Returns:
  The data as a bool

short asShort | ( |  | ) | const

Search for all occurrences

Returns the manipulator data as a short.

Returns:
  The data as a short

int asLong | ( |  | ) | const

Search for all occurrences

Returns the manipulator data as a int.

Returns:
  The data as a int

unsigned int asUnsigned | ( |  | ) | const

Search for all occurrences

Returns the manipulator data as an unsigned int.

Returns:
  The data as an unsigned int

float asFloat | ( |  | ) | const

Search for all occurrences

Returns the manipulator data as a float.

Returns:
  The data as a float

double asDouble | ( |  | ) | const

Search for all occurrences

Returns the manipulator data as a double.

Returns:
  The data as a double

MObject asMObject | ( |  | ) | const

Search for all occurrences

Returns the manipulator data as an MObject.

The MObjects returned from this method are created and used by MFnData or classes derived from MFnData.

Returns:
  The data as an MObject

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  Name of this class.

MManipData MManipData MManipData MManipData MManipData MManipData MManipData MManipData MManipData MManipData
MManipData MManipData MManipData MManipData MManipData MManipData MManipData MManipData MManipData MManipData